> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction information by id

> Gets information about a transaction by its ID

<RequestExample>
  ```bash Request theme={null}
  curl 
  --location 
  --request GET 'https://staging-api.propaga.io/v1/transaction/{transactionId}' \
  --header 'Authorization: <your_awesome_token>'
  --header 'Content-Type: application/json'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "transactionId": "c4da2e20-4565-4ca7-8335-769eea1eaf70",
      "cornerStoreId": "22de359b-4743-4067-b389-1a128928dca5",
      "userId": "3030cb59-5238-441b-9064-51bad8c39816",
      "transactionStatus": "on-hold",
      "wholesalerTransactionId": "TRAN-3245",
      "movementDate": "2024-04-26T19:26:40.112Z",
      "totalAmount": 1462.4,
      "interests": 43.87,
      "IVAAmount": 7.02,
      "totalAmountWithInterests": 1513.29,
      "paymentDate": "2024-05-11T19:26:40.101Z",
      "deliveryDate": null,
      "products": [
          {
              "id": "8ae071b7-8e44-4e8b-ac20-c5ed2d5d2476",
              "externalSKU": "123",
              "name": "Detergente Roma",
              "quantity": 1,
              "createdAt": "2024-04-26T20:26:40.664Z",
              "updatedAt": "2024-04-26T20:26:40.664Z"
          }
      ],
      "metadata": {},
      "wholesaler": "<wholesaler_name>",
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="transactionId" type="string" required>
  Propaga's transaction ID
</ParamField>

## Response

<ResponseField name="transactionId" type="string">
  Propaga's transaction id
</ResponseField>

<ResponseField name="cornerStoreId" type="string">
  Propaga's corner store id
</ResponseField>

<ResponseField name="transactionStatus" type="string">
  Current status for the transaction
</ResponseField>

<ResponseField name="wholesalerTransactionId" type="string">
  Wholesaler's transaction ID
</ResponseField>

<ResponseField name="movementDate" type="string">
  Date and time of the creation of the transaction
</ResponseField>

<ResponseField name="totalAmount" type="number">
  Total amount of the transaction
</ResponseField>

<ResponseField name="interests" type="number">
  Interests amount
</ResponseField>

<ResponseField name="IVAAmount" type="number">
  IVA amount
</ResponseField>

<ResponseField name="totalAmountWithInterests" type="number">
  Total amount with interests
</ResponseField>

<ResponseField name="paymentDate" type="string">
  Date and time of limit payment date
</ResponseField>

<ResponseField name="deliveryDate" type="string">
  Estimated date of delivery
</ResponseField>

<ResponseField name="products" type="array">
  List of products in the transaction
</ResponseField>

<ResponseField name="metadata" type="json">
  Any metadata saved for the transaction
</ResponseField>

## Error codes

<ResponseField>
  ```json Transaction not found (404) theme={null}
  {
      "errorCode": "TRANSACTION_NOT_FOUND",
      "errorMessage": "This transaction not found"
  }
  ```
</ResponseField>
